/*
 * Copyright (C) 2022 - 2024. Henrik Bærbak Christensen, Aarhus University.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 *
 * You may obtain a copy of the License at
 *  http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 */

/** The packages within 'view' defines the (template) for
 * the MiniDraw based graphics to render a suitable user
 * interface for HotStone.
 *
 * The three packages within 'view' define
 * <ol>
 *   <li>core: the core MiniDraw implementations for view and drawing + factory. </li>
 *   <li>figure: the Figure implementations representing cards, minions, buttons, etc. </li>
 *   <li>message: a simple message system which allows multiple message to be shown. </li>
 * </ol>
 *
 */
package hotstone.view;

